
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库应急处置措施
    /// </summary>
    [Description("导航属性：危险源及风险库应急处置措施")]
    public class T_HM_EVALUATE_RISK_EMERGENCY_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskEmergencyMeasures")]
        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 应急处置措施
        /// </summary>
        [Description("应急处置措施")]
        [DataFieldForeignKey("Nav_EmergencyMeasures")]
        [FormFieldEdit]
        public Guid EMERGENCY_MEASURES_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：应急处置措施
        /// </summary>
        [Description("导航属性：应急处置措施")]
        public T_HM_EMERGENCY_MEASURES Nav_EmergencyMeasures { get; set; }
    }
}
